
From: "Colin Leroy" <colin@colino.net>

The fan driver I wrote for adt746x looks like it only handles the adt7467
chip found in iBooks G4; but it also handles the adt7460 chip found in the
Powerbook G4 Alu.  Here's a patch that updates therm_adt7467.c, Kconfig and
Makefile.

You'll have to `bk mv' drivers/macintosh/therm_adt7467.c to
therm_adt746x.c after applying the patch.


---

 25-akpm/CREDITS                           |    7 +++++++
 25-akpm/drivers/macintosh/Kconfig         |    4 ++--
 25-akpm/drivers/macintosh/Makefile        |    2 +-
 25-akpm/drivers/macintosh/therm_adt7467.c |    7 ++-----
 4 files changed, 12 insertions(+), 8 deletions(-)

diff -puN drivers/macintosh/Kconfig~therm_adt7467-update drivers/macintosh/Kconfig
--- 25/drivers/macintosh/Kconfig~therm_adt7467-update	Tue Mar 16 17:56:45 2004
+++ 25-akpm/drivers/macintosh/Kconfig	Tue Mar 16 17:56:45 2004
@@ -175,8 +175,8 @@ config THERM_WINDTUNNEL
 	  This driver provides some thermostat and fan control for the desktop
 	  G4 "Windtunnel"
 
-config THERM_ADT7467
-	tristate "Support for thermal mgmnt on laptops with ADT 7467 chipset"
+config THERM_ADT746X
+	tristate "Support for thermal mgmnt on laptops with ADT 746x chipset"
 	depends on I2C && I2C_KEYWEST && PPC_PMAC && !PPC_PMAC64
 	help
 	  This driver provides some thermostat and fan control for the
diff -puN drivers/macintosh/Makefile~therm_adt7467-update drivers/macintosh/Makefile
--- 25/drivers/macintosh/Makefile~therm_adt7467-update	Tue Mar 16 17:56:45 2004
+++ 25-akpm/drivers/macintosh/Makefile	Tue Mar 16 17:56:45 2004
@@ -25,4 +25,4 @@ obj-$(CONFIG_ADB_MACIO)		+= macio-adb.o
 
 obj-$(CONFIG_THERM_PM72)	+= therm_pm72.o
 obj-$(CONFIG_THERM_WINDTUNNEL)	+= therm_windtunnel.o
-obj-$(CONFIG_THERM_ADT7467)	+= therm_adt7467.o
+obj-$(CONFIG_THERM_ADT746X)	+= therm_adt746x.o
diff -puN drivers/macintosh/therm_adt7467.c~therm_adt7467-update drivers/macintosh/therm_adt7467.c
--- 25/drivers/macintosh/therm_adt7467.c~therm_adt7467-update	Tue Mar 16 17:56:45 2004
+++ 25-akpm/drivers/macintosh/therm_adt7467.c	Tue Mar 16 17:56:45 2004
@@ -49,7 +49,7 @@ static int limit_adjust = 0;
 static int fan_speed = -1;
 
 MODULE_AUTHOR("Colin Leroy <colin@colino.net>");
-MODULE_DESCRIPTION("Driver for ADT7467 thermostat in iBook G4");
+MODULE_DESCRIPTION("Driver for ADT746x thermostat in iBook G4 and Powerbook G4 Alu");
 MODULE_LICENSE("GPL");
 
 MODULE_PARM(limit_adjust,"i");
@@ -161,7 +161,7 @@ detach_thermostat(struct i2c_adapter *ad
 }
 
 static struct i2c_driver thermostat_driver = {  
-	.name		="Apple Thermostat ADT7467",
+	.name		="Apple Thermostat ADT746x",
 	.id		=0xDEAD7467,
 	.flags		=I2C_DF_NOTIFY,
 	.attach_adapter	=&attach_thermostat,
@@ -494,9 +494,6 @@ thermostat_init(void)
 	struct device_node* np;
 	u32 *prop;
 	
-	/* Currently, we only deal with the iBook G4, we will support
-	 * all "2003" powerbooks later on
-	 */
 	np = of_find_node_by_name(NULL, "fan");
 	if (!np)
 		return -ENODEV;
diff -puN CREDITS~therm_adt7467-update CREDITS
--- 25/CREDITS~therm_adt7467-update	Tue Mar 16 18:03:35 2004
+++ 25-akpm/CREDITS	Tue Mar 16 18:03:35 2004
@@ -1873,6 +1873,13 @@ S: Am Muehlenweg 38
 S: D53424 Remagen
 S: Germany
 
+N: Colin Leroy
+E: colin@colino.net
+W: http://www.geekounet.org/
+D: PowerMac adt7467 fan driver
+S: Toulouse
+S: France
+
 N: Achim Leubner
 E: achim_leubner@adaptec.com
 D: GDT Disk Array Controller/Storage RAID controller driver

_
